Subject: Re: Allow custom parameters with more than one dot in config files.

From: Tom Lane <[email-masked]>
Date: Tue, 19 Dec 2023 10:13:39 -0500

Alexander Kukushkin <[email-masked]> writes:
> At the moment the only requirement for custom parameter names is that they
> should have one or more dots.
> ...
> But, Postgres fails to start if such parameters are set in the
> configuration file with the following error:

Hmm.

> In my opinion it would be fair to make parsing of config files with the
> rest of the code responsible for GUC handling by allowing custom parameters
> containing more than one dot.

I wonder if we wouldn't be better advised to require exactly one dot.
This isn't a feature that we really encourage users to use, and the
further we move the goalposts for it, the harder it will be to replace
it.  In particular I doubt the long-stalled session-variables patch
could support such names, since it needs the names to conform to
normal SQL rules.

			regards, tom lane